## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		zmusic
Version:	1.1.14
Release:	%autorelease
Summary:	GZDoom's music system as a standalone library 

License:	GPL-3.0-only AND LGPL-3.0-only AND Zlib
URL:		https://github.com/ZDoom/ZMusic
Source:		%{url}/archive/refs/tags/%{version}.tar.gz

Patch:		zmusic-1.1.14-unbundle-fluidsynth.patch

BuildRequires:	g++
BuildRequires:	cmake
BuildRequires:	alsa-lib-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	mpg123-devel
BuildRequires:	libsndfile-devel

Provides:       bundled(adlmidi)        = 1.5.1
Provides:       bundled(dumb)           = 1.0.0
Provides:       bundled(game-music-emu) = 0.6.2
Provides:       bundled(miniz)          = 11.0.2
Provides:       bundled(oplsynth)
Provides:       bundled(opnmidi)        = 1.5.1
Provides:       bundled(timidity)
Provides:       bundled(timidity++)
Provides:       bundled(wildmidi)
Provides:       bundled(xmp)            = 4.6.0

%description
GZDoom's music system as a standalone library

%package	devel
Summary:	Development files for %{name} 
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files needed for
developing applications that use %{name}

%prep
%autosetup -n ZMusic-%{version} -p1
rm -rf thirdparty/fluidsynth
rm thirdparty/mpg123.h
rm thirdparty/sndfile.h

%build
%cmake -DDYN_SNDFILE=OFF -DDYN_MPG123=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license licenses/*
%{_libdir}/libzmusic.so.1{,.*}
%{_libdir}/libzmusiclite.so.1{,.*}

%files	devel
%{_includedir}/zmusic.h
%{_libdir}/cmake/ZMusic/
%{_libdir}/libzmusic.so
%{_libdir}/libzmusiclite.so

%changelog
## START: Generated by rpmautospec
* Sun Dec 08 2024 John Doe <packager@example.com> - 1.1.14-1
- Uncommitted changes
## END: Generated by rpmautospec
